﻿var port = null;

function processOperation(data, sender, response) {
    try{         
	    connect();
	
        port.postMessage(data); 
        port.onMessage.addListener(function(jsonResp){
			response(JSON.stringify(jsonResp));
		});
    }catch(e){
        alert(e.message);
    }         
    return true;
}

if(navigator.userAgent.indexOf('Firefox') > 0){
	chrome.runtime.onMessage.addListener(processOperation);
}else{
	chrome.runtime.onMessageExternal.addListener(processOperation);
}

function connect(){    
	if(!port){	
		var application = 'br.com.banrisul.bjess2jm_wizardserver';
		if(navigator.userAgent.indexOf('Firefox') > 0){
			application += '.firefox';
		}
		
		if(!chrome.runtime) {
			chrome.runtime = chrome.extension;
		}	
	
        port = chrome.runtime.connectNative(application);       
		
        port.onDisconnect.addListener(function() {
			var mensagem = 'Erro no carregamento do Complemento Banrisul Internet Banking.\n\n' +
                'Essa falha pode ser causada caso voce ainda não instalou.\n' +
                'o Complemento Banrisul Internet Banking, disponível em\n' +
                'www.banrisul.com.br/complemento.'
			
			if(navigator.userAgent.indexOf("Firefox") > 0){
				browser.tabs.executeScript({code : "alert('" + mensagem.replace(/\n/g, "\\n") + "')"});
			}else{
				alert(mensagem);
			}
			port = null;
        });		
	}
}
